import { H3Event } from 'h3';
export type QuizSetting = {
    participantType?: number; // Loại thành phần tham gia
    resultPublication?: number; // Nguyên tắc công bố kết quả
  }

export type Quiz = {
    id?: number; // Mã định danh
    siteId?: number; // Mã hệ thống
    title?: string; // Tiêu đề
    code?: string; // Nhận diện
    keywords?: string; // Từ khóa
    thumbnail?: string; // Ảnh nhỏ
    description?: string; // Mô tả
    startTime?: string; // Bắt đầu
    endTime?: string; // Kết thúc
    type?: number; // Phân loại
    settings?: object; // Thiết lập
    features?: string; // Đặc trưng
    taxonomy?: string; // Phân nhóm
    isPublished?: boolean; // Đã xuất bản
    publishedBy?: number; // Xuất bản bởi
    publishedOn?: string; // Xuất bản vào lúc
    expiresOn?: string; // Đã hết hạn vào lúc
    order?: number; // Thứ tự sắp xếp
    status?: number; // Trạng thái
  }

  export const fetchById = async (event: H3Event) => {
    try {

        const { apiUrl } = useRuntimeConfig().public
        const { quizId }: any = getQuery(event)
        const { item }: Quiz | any = await $fetch(`${apiUrl}/cms/quiz/${quizId}`, {
            method: 'GET',
            headers: {
                site: 1
            }
        })

        return item

    } catch (error) {
        handleError(error);
    }
  }